"use strict";
{
    const SDK = self.SDK;

    const PLUGIN_ID = "PaulPlay_TapticEnginePlugin";
    const PLUGIN_VERSION = "1.0.0.5";
    const PLUGIN_CATEGORY = "platform-specific";

    const PLUGIN_CLASS = SDK.Plugins.PaulPlay_TapticEnginePlugin = class HapticEnginePluginPlugin extends SDK.IPluginBase
    {
        constructor()
        {
            super(PLUGIN_ID);

            SDK.Lang.PushContext("plugins." + PLUGIN_ID.toLowerCase());

            this._info.SetName(lang(".name"));
            this._info.SetDescription(lang(".description"));
            this._info.SetVersion(PLUGIN_VERSION);
            this._info.SetCategory(PLUGIN_CATEGORY);
            this._info.SetAuthor("PaulPlay");
            this._info.SetHelpUrl(lang(".help-url"));
            this._info.SetIsSingleGlobal(true);
            this._info.SetCanBeBundled(true);

            this._info.SetSupportedRuntimes(["c3"]);

            SDK.Lang.PushContext(".properties");

            this._info.SetProperties([

            ]);
            //add dependency for cordova plugin here Paul :)
            this._info.AddCordovaPluginReference(
            {
                id: "cordova-plugin-taptic-engine",
                version: "2.2.0",
                platform: "ios"
            });

            SDK.Lang.PopContext(); //.properties
            SDK.Lang.PopContext();
        }
    };

    PLUGIN_CLASS.Register(PLUGIN_ID, PLUGIN_CLASS);
}